MSP Gas Metering Library

- Main Page
- Introduction
- Usage
- Modules
- Data Structures
- Disclaimer

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
GASMETERING_HAL_functions Struct Reference

This structure is use to provide the pointer to Gas Metering HAL functions. More...

`#include <gasMeteringLib.h>`

## Data Fields
void(* | pGASMETERING_HAL_restoreSysClock )(void)
void(* | pGASMETERING_HAL_generateLPMDelay )(uint16_t count, uint16_t mode)
| Function pointer to HAL function to generate LPM Delay.
void(* | pGASMETERING_HAL_configSysClockForCapture )(void)
void(* | pGASMETERING_HAL_configUPDNSample )(bool isGainControlEnabled)
void(* | pGASMETERING_HAL_configIterationSample )(uint16_t iterNum, bool isCaptureModeUP, uint16_t fracDelay)
void(* | pGASMETERING_HAL_finishIterationSample )(void)
void(* | pGASMETERING_HAL_configGPIOAfterFiring )(void)
| Function pointer to HAL function to deassert GPIO after firing/capture.

## Detailed Description

This structure is use to provide the pointer to Gas Metering HAL functions.

## Field Documentation

void(* GASMETERING_HAL_functions::pGASMETERING_HAL_configIterationSample)(uint16_t iterNum, bool isCaptureModeUP, uint16_t fracDelay)

Function pointer to HAL function to configure firing and capture timers and TX/RX Mux

void(* GASMETERING_HAL_functions::pGASMETERING_HAL_configSysClockForCapture)(void)

Function pointer to HAL function to prepare System Clock for Firing and Capture

void(* GASMETERING_HAL_functions::pGASMETERING_HAL_configUPDNSample)(bool isGainControlEnabled)

Function pointer to HAL function to power on AFE and configure ADC for Firing and Capture

void(* GASMETERING_HAL_functions::pGASMETERING_HAL_finishIterationSample)(void)

Function pointer to HAL function to stop iteration timers and clean ADC DMA

void(* GASMETERING_HAL_functions::pGASMETERING_HAL_restoreSysClock)(void)

Function pointer to HAL function to restore system clock after firing and capture

The documentation for this struct was generated from the following file:

- gasMeteringLib.h